
module.exports = function(PT){



console.log("HEREHER");

var crypto = require("crypto");


PT.SHA256 = function(encoding){
  var encoding = encoding || null;
  var h=crypto.createHash('sha256');
  	console.log(new Buffer(this));

    h.update(new Buffer(this));
    return h.digest(encoding);
}



}